package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpSmMaterialInquiryBatchListVO {
   @ApiModelProperty("批次id")
   private Long batchId;
   @ApiModelProperty("货品招标供应商主键id")
   private Long materialInquirySupplierId;
   @ApiModelProperty("报价批次号(1,2,3)")
   private Integer quoteBatchNum;
   @ApiModelProperty("状态(1已报价,2未报价,3已中标,4未中标)")
   private Integer status;
   @ApiModelProperty("报价截止时间")
   private LocalDateTime quoteEndTime;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Long getBatchId() {
      return this.batchId;
   }

   public Long getMaterialInquirySupplierId() {
      return this.materialInquirySupplierId;
   }

   public Integer getQuoteBatchNum() {
      return this.quoteBatchNum;
   }

   public Integer getStatus() {
      return this.status;
   }

   public LocalDateTime getQuoteEndTime() {
      return this.quoteEndTime;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public DrpSmMaterialInquiryBatchListVO setBatchId(final Long batchId) {
      this.batchId = batchId;
      return this;
   }

   public DrpSmMaterialInquiryBatchListVO setMaterialInquirySupplierId(final Long materialInquirySupplierId) {
      this.materialInquirySupplierId = materialInquirySupplierId;
      return this;
   }

   public DrpSmMaterialInquiryBatchListVO setQuoteBatchNum(final Integer quoteBatchNum) {
      this.quoteBatchNum = quoteBatchNum;
      return this;
   }

   public DrpSmMaterialInquiryBatchListVO setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpSmMaterialInquiryBatchListVO setQuoteEndTime(final LocalDateTime quoteEndTime) {
      this.quoteEndTime = quoteEndTime;
      return this;
   }

   public DrpSmMaterialInquiryBatchListVO setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpSmMaterialInquiryBatchListVO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpSmMaterialInquiryBatchListVO setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpSmMaterialInquiryBatchListVO setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpSmMaterialInquiryBatchListVO setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
